Bug 846783 - syslinux-4.05-1.fc17 contains embedded copies of libpng, libgcc, and zlib libraries
syslinux-4.05-1.fc17 contains embedded copies of libpng, libgcc, and zlib lib...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: syslinux (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
http://bugs.debian.org/cgi-bin/bugrep...
:
Depends On: 846778
Blocks: 846781 846782
  Show dependency treegraph
 
Reported: 2012-08-08 12:52 EDT by Jan Lieskovsky
Modified: 2013-08-01 05:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 846778
Environment:
Last Closed: 2013-08-01 05:00:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-08 12:52:41 EDT
+++ This bug was initially created as a clone of Bug #846778 +++

Description of problem:
syslinux-4.05-1.fc17 as shipped with Fedora release of 17 contains own / embedded copies of libpng, libgcc and zlib libraries. All of these libraries have their system equivalents. It is not a good practice to embed hard coded library version copy into additional source, since once security issue is found (like for example CVE-2010-0205, CVE-2010-1205 for libpng were to mention some), the package embedding vulnerable library copy would need to be updated too.

Version-Release number of selected component (if applicable):
syslinux-4.05-1.fc17

How reproducible:
Always

Steps to Reproduce:
1. Look into BUILD/syslinux-4.05/com32/lib or check:

# rpm -q --requires syslinux

output. 
  
Actual results:
libpng.so isn't listed in rpm output

Expected results:
libpng.so should be listed in requirements (IOW syslinux should use system version of the libpng, libgcc, and zlib libraries instead of the embedded copies)
Comment 1 Fedora End Of Life 2013-07-03 22:39:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 05:00:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.